Subject: Re: [OPSAWG] draft-asai-vmm-mib-00

From: Hirochika Asai <[email-masked]>
Date: Tue, 4 Sep 2012 12:57:42 +0900

js,

Thanks for your comments and sorry for replying late.

On Jul 30, 2012, at 11:25 PM, Juergen Schoenwaelder wrote:
> Your MIB module still does not compile. Most of the issues seem
> fixable. I am appending the output of smilint -s -l4 ./VMM-MIB:
I'm trying to fix them.  I'm ashamed to say but I didn't know smilint tool.

>> 1. vifIndex
>> We define vifIndex that is different from the pointers to ifIndex
>> of IF-MIB and recommended to starting from 1.  This is because is
>> shall be changed on re-initialization of virtual machines.  So, we
>> think vmIfIndex is not resilient to the re-initialization and it is
>> not good as the index.  Moreover, the order of the underlying
>> interface is not guaranteed to match the order at the virtual
>> machine.  For example, the order mismatches when vnic1 and vnic2 of
>> the virtual machine can be assigned to tap101(ifIndex=201) and
>> tap100(ifIndex=200), respectively.
> 
> Not sure I understand this. I guess it boils down to the question
> whether the MIB is written from the viewpoint of the virtual machines
> or from the viewpoint of the hypervisor or host system.
Yes, our MIB is written from the viewpoint of the virtual machines.

As for the viewpoint, we are trying to hear operators opinions to
think about which viewpoint is generically the best for the MIB.

Just a note from the viewpoint of an implementer:
At this time, I had a problem with the difference between Type-1
(a.k.a. bare metal) and Type-2 (a.k.a. hosted), and the layer of
the management OS that runs the SNMP agent when I use
hvCpuDeviceIndex to refer to HV's CPU load; for example, Xen's
Dom-0 cannot refer to the hypervisor's CPUs but it corresponds
to a priviledged virtual machine.  I also try to generalize this point.

Thanks,
Hirochika

-- 
Hirochika Asai <[email-masked]>, The University of Tokyo